Flash Optimizer Manual :: Welcome

Flash Optimizer - visit homepage


Flash Optimizer Manual :: How to register?

Flash Optimizer - Lose bytes now... ask me how Flash Optimizer - Lose bytes now... ask me how
How to register?

Flash Optimizer box

Download your free trial of Flash Optimizer Order your registered version of Flash Optimizer Detailed features list Flash Optimizer screenshots Customers testimonials Flash Optimizer awards Flash Optimizer usage scenarios Tell your friends about Flash Optimizer

Flash Optimizer 1.20

License | Cost | Order via ShareIt! | Order via RegNow
Personal license | €89.95 $99.95 | Order Flash Optimizer 1.20 now! Order Flash Optimizer 1.20 now! Order Flash Optimizer 1.20 now! | Order Flash Optimizer 1.20 now! Order Flash Optimizer 1.20 now! Order Flash Optimizer 1.20 now!
Business license | €259.95 $299.95 | Order Flash Optimizer 1.20 now! Order Flash Optimizer 1.20 now! Order Flash Optimizer 1.20 now! | Order Flash Optimizer 1.20 now! Order Flash Optimizer 1.20 now! Order Flash Optimizer 1.20 now!
Unlimited Business license | €429.95 $499.95 | Order Flash Optimizer 1.20 now! Order Flash Optimizer 1.20 now! Order Flash Optimizer 1.20 now! | Order Flash Optimizer 1.20 now! Order Flash Optimizer 1.20 now! Order Flash Optimizer 1.20 now!

Personal license: Personal license grants you non-exclusive rights to install and use the program for non-commercial purposes in non-business, non-commercial environment. The software can be installed on a single PC and utilized by the person the software is registered to only. More rights are granted by Business license.

Business License: Business License allows using the software on any number of computers inside the company that purchased the license, but in borders of a single company office/location only. To gain unlimited rights, please, purchase Unlimited Business license.

Unlimited Business License: with an Unlimited Business license, the software can be used by any number of users in all company offices around the world. No geographical restrictions are applied to the Unlimited Business license, only juridical company borders are important.

Registration key is delivered immediately after the order placement. We accept Mastercard/Eurocard, Visa, American Express, and Diner's Club online. Alternatively, we support bank transfer/wire transfer, we accept Checks and Money Orders through postal mail.

After you have your registration key, please, input it into the field where you get when clicking "Enter key" during the start up of Flash Optimizer.

For orders processing we are using ShareIt! and RegNow companies services - world's leading e-commerce providers for software and shareware sales via the Internet.

ShareIt!
element 5 AGShareIt!
Vogelsanger Str.
78D-50823 Cologne
Germany
Phone: +49 (0)221 31088-0
Fax: +49 (0)221 31088-99
sales@shareit.com 		ShareIt! Inc.
PO Box 844
Greensburg, PA 15601
U.S.A.
Phone: +1 (724) 850 8186
Fax: +1 (724) 850 8187
sales@shareit.com 		element 5 AG
ShareIt!
52 Queen Caroline Str.
Hammersmith
London W6 9DX
United
Kingdom
sales@shareit.com
RegNow Register Now!
P.O. Box 1816
Issaquah, WA 98027
USA
Phone: 1-877-353-7297
Fax: 1-888-353-7276

Security Guarantee. Online order placement page has been secured with a digital certificate by VeriSign, Inc. This is shown via the "site certificate" that sits on all secure pages. To view this certificate, click on the VeriSign logo at the bottom of the page or the solid key on the status bar of your browser window. A small frame displaying site security information will appear.

VeriSign, Inc.

Lifetime technical support is available 24 hours a day, 7 days a week, 365 days a year via email, phone or fax. If you have any problems using our products, please send us your detailed comments, suggestions, questions. We value every customer and will reply to you as soon as possible. If you are a registered user, you can use the technical support via email or fax. Our registered users can also submit support requests by e-mail for priority support customers.

Upgrade Policy. All program upgrades are free to all registered users. As a registered customer, you can purchase all our other similar software at a discounted price. For more detailed information about our upgrade policy, please email to support@eltima.com

Money back guarantee. To insure that you are never charged for an item that does not meet your needs, Eltima Software GmbH offers an honor-based 14 days money-back-guarantee when you purchase any of our products.


Flash Optimizer Manual :: License/Copyright

License/Copyright

Software license agreement

This user license agreement (the "AGREEMENT") is an agreement between you (individual or single entity) and SoftInfinity.

The SOFTWARE is the property of SoftInfinity and is protected by copyright laws and international copyright treaties.

Trial version

If you accept the terms and conditions of this AGREEMENT, you have certain rights and obligations as follows:

You may:

1. Install and use the unlimited number of copies of the Trial VERSION.
2. Use one or more copies of the Trial VERSION for evaluation purposes only.
3. Copy and distribute freely the Trial VERSION (see 'DISTRIBUTION').

You may not:

1. Sublicense, rent or lease the Trial VERSION or any portion of it (unless you are an authorized reseller/partner).
2. Decompile, disassemble, deflash, deSWF, reverse engineer or modify the Trial VERSION or any portion of it.

Distribution:

You are hereby licensed to make as many copies of the Trial VERSION as you wish and distribute them to anyone provided that all files are intact. You must distribute the install form of the Trial VERSION (not the files resulting of an installation). You are not allowed to sell the Trial VERSION (except for shipment and handling charges). Computer's Magazines are authorized to distribute it on any Cover Disk or CD-ROM without any permission. Please inform us by e-mail each time you distribute the Trial VERSION.

Warranty disclaimer:

The SOFTWARE is supplied "AS IS". SoftInfinity disclaims all warranties, expressed or implied, including, without limitation, the warranties of merchantability and of fitness for any purpose. The user must assume the entire risk of using the SOFTWARE.

Disclaimer of damages

SoftInfinity assumes no liability for damages, direct or consequential, which may result from the use of the SOFTWARE, even if SoftInfinity has been advised of the possibility of such damages. Any liability of the seller will be limited to refund the purchase price.


Flash Optimizer Manual :: Technical and information support

Technical and information support

Forum

The easiest way to find an answer is to ask a person who has already faced your problem. Or get instant help in the online Help Center. This is why we installed Forums engine on our website and would be extremely glad if you became a respectful member. Flash Optimizer Discussion Board is the ultimate place to find answers concerning not only Flash Optimizer itself, but also other quality software solutions by SoftInfinity. You're always welcome in our Forums.

Customer Care Centre

Customer Care services are probably the most vivid difference between quality companies and emerging firms. Our customers already know that our technical and information support proved to be one of the most effective and quality products we sell from the very first day of our shareware past, present and future. That is why extending our support services and creating Customer Care Centre will provide even deeper analysis and help for our customers and site visitors. Potential consumers will experience all the quality and responsibility we provide.

SoftInfinity's Customer Care Centre can be found here: Customer Care Centre at show-kit.com.

Instant Messengers help

If you wish to get to receive fast and reliable help you can always contact us via Instant Messenging software. Please, use the following details to find the appropriate contact:

ICQ: #133156588
AOL Messenger: SoftInfinitySP
MSN Messenger: softinfinity@hotmail.com
Yahoo Messenger: serge_softinfinity

Help

Flash Optimizer was designed to provide the easiest way to compress and optimize Shockwave Flash files. Still some practice may be needed to master all its functions. That is why we provide a full description of Flash Optimizer in one compiled manual. Whenever you download the trial or purchase the full version of Flash Optimizer you will get the manual with the installer you can also download it separately from our website.

Bug reports

If you find a bug in our software you can report it to one of the addresses mentioned below. Please provide the following information:

- an exact description of the bug (how can it be reproduced?)
- version number and release date of the software
- Operating System version

Support

Please first read the software manual carefully and visit our Forums, may be someone has already solved the problem you are facing.

If you still have questions, you can reach us at the following addresses:

- If you're on the Internet, write to support@eltima.com for technical questions, and to sales@eltima.com for registration and sales questions.
- If you have the possibility to make international calls, call us +380 (612) 209904 (international support from 9 A.M. till 4 P.M. GMT+3) or +38 050 7917364 (24/7).
- You may also use our contacts form to send a message to the appropriate support department.


Flash Optimizer Manual :: System requirements

System requirements

Flash Optimizer will run on any computer systems that meet the minimum requirements specified here. Choose the recommended requirements if you wish to utilize Flash Optimizer at the best potential.

Minimum System requirements:

Processor | Pentium II class at least 300 MHz
OS | Windows 95, 98, ME, NT 4.0, 2000, XP
RAM | 128 MB
Disk Space | 5-10 MB of initial free disk space
Video | 800x600, True Color
Software | Macromedia Flash Plug-in MS Windows Platform (Virtual PC support for registered users only upon request)
Sound | DirectX compatible Sound Card
For improved performance, we recommend:
Processor | 1 Ghz or more
RAM | 256 MB or more
Video | 1024x768, True Color 32 bit
Software | Latest Macromedia Flash Plug-in

To download most recent Macromedia Plug-in, visit Macromedia Web site at:
www.macromedia.com


Flash Optimizer Manual :: Installation

Installation

Flash Optimizer installation process is very easy. All you need to do is accomplish several simple steps:

  1. Download the latest build of Flash Optimizer at http://download.show-kit.com/flash_optimizer.exe.
  2. Double click it in any file manager or Windows Explorer.
  3. Follow the prompts given, study the License Agreement carefully, select the destination folder, choose what shortcuts you wish to be created, confirm the installation.
  4. Finally you will need to navigate either to the Start Menu and locate the launcher in Programs or double-click the shortcut created on the desktop, if you chose this option, and Flash Optimizer will be launched.


Flash Optimizer Manual :: Why optimize Flash?

Why optimize Flash?

What's the need of compressing already small enough vector graphics? Is there any way to compress what is already compressed by specialists from Macromedia? Why is it needed anyway?

The answers to these questions can be simple and rather complicated at the same time. And the only truth will be that Flash files optimization is really worth it, though requires some skills with Flash Optimizer.

The main purpose of any optimization is to make the process or the result easier or match some criteria. In web terms it is speed, interactivity, reliability and quality. And this is just what Flash Optimizer works for. Sometimes Flash websites can take up to several "cups of coffee" to download. Flash banners proved to be much more efficient than the regular ones, but still far slower to download. Most Internet connection methods (dial-up, the most widespread today, among them) still require you to save every byte of traffic. And this is right where Flash Optimizer can be of a great help and save a substantial amount of time, traffic, server space to everyone who uses Flash at their websites and everyday work.

Flash vector format is probably the most ideal medium between quality and optimum file objects layout. Optimization solutions is one of the most difficult programming problems to be solved. That is why Macromedia does its work creating the most progressive interactive Internet solutions, and thus leaving some space to other companies for Flash authoring development. Flash Optimizer uses a series of mathematics methods to optimize the output format of Flash. The main purpose of such optimization is to compress Flash files with the least quality loss, optimize them for faster download and provide you with the possibilities you've never experienced.

Flash Optimizer manages to compress SWF files up to 60-70%! And you have the total control over each and every optimization option, which allows you to reach the most effective compression specially for your Flash files. Finally in two clicks you will reduce the file size twice or even more. Now, is it worth that? Such amazing compression is possible, why not use it? Flash Optimizer is the tool enough to reduce your site per user traffic and easily increase your profits.

Lose bytes - not income...


Flash Optimizer Manual :: Aims

Aims

Flash Optimizer aims to provide you with the smallest vector graphics possible in comparison with native Flash files size. At the same time we seek to provide you with easy-to-use interface and user-friendly environment in which everyone will cope with the optimization process, believing that familiar program interface will be the best solution in this case.

So here are the key aims we seek and try to implement in Flash Optimizer:

  • Best compression at no or lowest quality loss
  • Multiple methods optimization, all Flash objects are optimized
  • User-friendliness
  • Speed and productivity


Flash Optimizer Manual :: What is optimized?

What is optimized?

Flash Optimizer seeks to optimize the following Flash and vector objects:
  • Vectors and curves
  • Lines and Angles
  • Shapes and Morphing
  • Animations
  • Fonts
  • Zero-objects and Z-buffer
  • Raster pictures and sprites
  • Duplicate descriptions
  • ActionScripts (mechanical)
  • All embedded symbols and SWF's


Flash Optimizer Manual :: Benefits

Benefits

Finally, before getting deeper in Flash Optimizer, let's sum up some key benefits of the software. Probably this should help you summarize most its advantages.

  • Revolutionary compression methods that allow to optimize SWF files to save up to 70% of their size without quality loss
  • Multiple optimization methods allow to optimize any SWF file, even using no vectors at all
  • User-friendly interface with intellectual, fully customizable controls
  • Frame by frame animation view, allowing you to see changes (if there are any) easily
  • Full native Macromedia Flash movies manipulation
  • Batch compression - let Flash Optimizer do the routine, and enjoy the final optimized SWF files without involvement into all the math procedures
  • Easiness - a really smaller SWF in seconds, a pack of optimized SWF's in a minute!
  • Time-saving configuration - save, export and import optimization settings
  • Preview before compressing and Compress with a single click


Flash Optimizer Manual :: What's new in this version?

What's new in this version?

Flash Optimizer 1.20
- SWF recompilation speed increased
- Mechanic ActionScripts optimization enhanced
- Some additional improvements

Flash Optimizer 1.18
- Player manipulations: zooming in and out, draging
- In double-player mode the players are synchronised
- Compression enhanced in many ways
- More SWF editions supported
- Fixes

Flash Optimizer 1.17
- Buttons mechanic optimization enhanced
- Spanish translation added
- Some interface improvements
- Some minor fixes

Flash Optimizer 1.16
- Static Text optimization fixed and improved
- Higher compression of large texts added
- Buttons handling improved
- Beta-tester license activated
- Morphs optimization improved
- Scales optimization enhanced and stabilized
- Other minor fixes

Flash Optimizer 1.15
- Fonts optimization algorithm stabilized
- Sound disappearing after optimization fixed
- Languages switching fixed
- New mechanical ActionScripts optimization
- Better images optimization
- Demo version now does not allow saving optimized files

Flash Optimizer 1.14
- Serbian and Croatian interface localizations added
- New algorithm to optimize "Dynamic text" fields without HTML formatting (embedded in "Fonts optimization")
- Support of exclusive "Flash Player 6 only" SWF files added
- Full support of ActionScripts (please, be carefull with Scales optimization)
- Fixed issue with optimizing already optimized files

Flash Optimizer 1.12
- German interface added
- Mechanic ActionScript optimization added
- Shapes optimization speed increased

Flash Optimizer 1.10
- New totally customizable interface
- Default layouts set
- Multilingual User Interface
- 3 languages already included: English, French (beta), Russian; more are coming...
- New algorithm of truncation: Intellectual calculation by area (really fast)
- Convenient attractive hints (can be hidden in the View menu)
- Two/One players switch
- Frame-by-frame comparison of original and optimized SWF's
- Design themes (currently 3)
- SWF format support enhancements, support for 98% of all SWF's created not only in Macromedia FLash
- Manual refurbished

Flash Optimizer 1.06
- Splash screen
- Text optimization stabilized (Text disappearing bug fixed)
- All algorithms now work with almost all ActionScripts
- Smart compression removed as useless
- Default settings optimized

Flash Optimizer 1.05
- Interface enhancements
- Optimization stabilized, less CPU usage results in no FO crashes
- Installation improved
- Bugfixes

Flash Optimizer 1.04
- Buttons, Alpha channels and bacgkground colors optimization bugs fixed
- New optimization algorithm: "Not used shapes"

Flash Optimizer 1.03
- All algorythms speeded up
- "Truncate shapes" and "Truncate fonts" algorithms enriched by new method: calculation by length, which gives a triple acceleration
- Embedded pictures known optimization bugs fixed
- Shapes, morphs, fonts stabilized when working with ActionScripted movies
- "Elapsed time" calculation during optimization

Flash Optimizer 1.02
- Default settings changed
- Interface refurbished
- Optimization more reliable and much faster
- Bugfixes
- SWF info capability
- Refresh button in FO explorer

Flash Optimizer 1.01
- Shapes optimization corrected, optimizing is now much faster
- Embedded bitmaps optimization stabilized
- Better compression for vectors
- Better compression for JPEG's

NEW Flash Optimizer 1.0


Flash Optimizer Manual :: Interface

Interface

Flash Optimizer Interface

Flash Optimizer inherits the most common and familiar interface to provide you with the easiest controls to manipulate the optimization process with speed, easiness and convenience. There isn't any unusual interface item you have never come in touch with, and we believe this will help any level user to operate Flash Optimizer with pleasure.

Since new Flash Optimizer 1.10 interface enhancements in addition to attractive layout of all the controls and navigation elements you are provided with an intensive possibilities to customize the way your interface will look like to most suit your needs: just drag & drop each and every part of the interface and place it where you want, or completely remove it if it's useless while you work. You can always get back to one of 8 default layouts we offer (use Layouts menu). So now Flash Optimizer offers you space and freedom to experiment and get the best results.

Main Menu

File
  • Open - open a SWF file and add it to the Tasks List.
  • Save - save currently previewed optimized SWF-file under the default name.
  • Save As - save currently previewed optimized SWF-file under the user-defined name.
  • SWF info - a very useful feature of FO 1.06+, helps you define most benefitial optimization parameters showing you all the contents and percentage of SWF format elements in the file.
  • Preview - the same as Preview button on the toolbar, optimize selected SWF in the tasks list, and view main optimization information, like compression rates, time taken, etc. Save optimized movie if needed.
  • Optimize - optimize SWF-files in the tasks list and save them with the default optimized prefix.
  • Tasks: Delete task - delete the selected SWF-file from the Tasks List.
  • Tasks: Clear tasks - clear the Tasks List, delete all pending SWF-files.
  • Exit - quit Flash Optimizer.
Player
  • Play - play SWF selected in Tasks List or Explorer.
  • Pause - stop SWF playing on current root timeline frame.
  • Stop - stop playing SWF and unload it from player.
  • Rewind - 1 root timeline frame back.
  • Forward - 1 root timeline frame forward.
Optimization parameters
  • Optimization Parameters set selection - the same as in the optimization paramaters panel, lets you choose from a number of saved parameters set and load the selected.
  • Save - save current optimization parameters in one optimization set under default name.
  • Save As - save current optimization parameters in one optimization set under the user-defined name.
  • Delete - delete current optimization set.
  • Delete all - delete all available optimization sets and return to default optimization parameters.
View
  • Explorer - show/hide Files explorer control in Flash Optimizer.
  • Status bar - show/hide Status bar in Flash Optimizer.
  • Optimization parameters - show/hide optimization parameters panel.
  • Toolbar - show/hide Main toolbar in Flash Optimizer.
  • Optimization sets - show/hide optimization paramaters sets selection and manipulation panel.
  • Tasks - show/hide Tasks List in Flash Optimizer.
  • Hints - activates/deactivates showing baloon hints in Flash Optimizer.
  • Players: Both players - show both players: orginal file and optimized one; at the same time.
  • Players: One player - show only one player and activate frame-by-frame comparison.
  • Explorer view style: List - position SWF files in Files explorer in list style.
  • Explorer view style: Small icons - small icons for SWF files in Files explorer.
  • Explorer view style: Large icons - large icons for SWF files in Files explorer.
  • Explorer view style: Detailed - position SWF files in Files explorer with detailed information.
  • Theme: Default - apply Windows XP theme to main Flash Optimizer controls.
  • Theme: Office XP - apply Office XP theme to main Flash Optimizer controls.
  • Theme: Stripes - apply Mac OS like stripes theme to main Flash Optimizer controls (will grab system colors).
Flash Optimizer Preferences

Options
  • Preferences - customize main program options.
  • Languages - change interface language.
Help
  • User manual - launch Flash Optimizer user manual.
  • About - main information about current version of Flash Optimizer.

Flash Optimizer Main toolbar

Main toolbar

  • Open - open a SWF file and add it to the Tasks List.
  • Save - save currently previewed optimized SWF-file under the default name.
  • Save as - save currently previewed optimized SWF-file under the user-defined name.
  • Preview - optimize selected SWF in the tasks list, and view main optimization information, like compression rates, time taken, etc. Save optimized movie if needed.
  • Optimize - optimize SWF-files in the tasks list and save them with the default optimized suffix.
  • SWF info - view detailed info about the selected SWF file, or both the original and optimized files being played.
Flash Optimizer File explorer

File explorer allows you to select SWF-files to optimize and add them to the Tasks List or preview them in Flash Optimizer player. To play a SWF file, select it in File explorer and click "Play" button under the left window of Flash Optimizer player. Use other buttons or "Player" menu to manipulate the movie. To add a SWF file into the Tasks List double click or drag-and-drop it there. Note, that you can drag-and-drop multiple selected SWF's to add several files at the same time. There's also a very convenient button in File explorer that allows you to delete all files that were currently optimized by Flash Optimizer. It is marked with a "scissors" icon. This is useful when you apply a batch optimization and find that the quality is not acceptable or appropriate for you.

Flash Optimizer Optimization parameters sets

Optimization sets let you choose Optimization parameters sets to make general changes in optimization. You can Save, Load (just select) and Delete current optimization set with the help of 3 buttons to the left from Optimization sets select-box.

Flash Optimizer Player

Flash Optimizer Player represents two synchronized Flash native players, providing the same right-click Flash movie controls plus the root movie timeline as a trackbar, Stop, Pause, Play, Rewind and Forward buttons. They provide main possibilities to control the movies being played.

Flash Optimizer Tasks List

Tasks List hosts all SWF files user selects to be optimized. Use right-click mouse menu or Main File menu to delete tasks and clear the list. As it has already been mentioned to enroll files double click them in Files explorer or drag-and-drop them from other file managers.


Flash Optimizer Manual :: Keyboard Shortcuts

Keyboard Shortcuts

Flash Optimizer brings you a whole lot convenient hotkeys to master the potential of optimization and enroll some pleasure in this process.

  • CTRL+O - open a SWF file and add it to the Tasks List.
  • CTRL+S - save currently previewed optimized SWF-file under the default name.
  • CTRL+Shift+S - save currently previewed optimized SWF-file under the user-defined name.
  • CTRL+P - optimizes selected SWF in the tasks list, and tells you the main optimization information, like compression rates, time taken, etc. Then you can save it if needed.
  • CTRL+M - optimize SWF-files in the tasks list and save them with the default optimized prefix.
  • CTRL+ALT+S - save current optimization set.
  • CTRL+ALT+D - delete current optimization set.
  • CTRL+E - show/hide File explorer (convenient when all files for optimization are already on the Tasks List).
  • F11 - toggle Preferences dialog.
  • CTRL+L - change Flash Optimizer interface language.
  • F1 - launch Flash Optimizer User manual.
  • ALT+X - quit Flash Optimizer.
  • DEL - delete selected task in the Tasks List.
  • Mouse double-click (Tasks list) - preview the double-clicked file optimized (the same as Preview button on the main toolbar).
  • CTRL+SHIFT+F11 - view detailed info about the selected SWF file, or both the original and optimized files being played.


Flash Optimizer Manual :: Manipulating the movies

Manipulating the movies

Flash Optimizer Movies manipulation

Manipulating movies in Flash Optimizer is very easy, since we use the native Flash Player controls. You can Zoom In and Out, switch the quality, configure default Macromedia Flash settings, and print the movie - all like in real Flash Player. To manipulate the movie you need to right-click it either in the original Player window, or in the Optimized one. You can also use Flash optimizer controls to Play, Stop, Frame-rewind and Frame-forward the movie.
Flash Optimizer Original/Optimized players switching

Since FO 1.10 you can also perform frame-by-frame comparison of the original and optimized movies. To do this, choose to show only one player (View->Players->One player), then Preview (Main toolbar->Preview or CTRL+M) a movie. You will notice that now there is only one player showing you the movie. And during playback or on pause you will find a new button near the forward button. This is the switch between players: Original/Optimized. Now you can see the quality differences on th go frame-by-frame. For more detailed review of the optimization you can pause the movies and switch between players several times.


Flash Optimizer Manual :: Opening and viewing a SWF

Opening and viewing a SWF

To preview a SWF file navigate to the folder where it is stored using File Explorer, all SWF files that can be found there will be shown a little lower. You can specify 4 variants of their layouts: list, small icons, large icons, and detailed. Then, just click and check the movie you wish to be played and click "Play" either in the main menu or in Flash Optimizer player controls. This will launch the movie for playing.


Flash Optimizer Manual :: Optimizing a SWF

Optimizing a SWF

Finally, we have come up to Flash Optimization, which is what Flash Optimizer was created for.

Flash Optimizer uses 2 different approaches to the process of involving users to optimization. First one is very simple and partially universal, created for typically structured SWF's. This is when you choose an Optimization set provided with Flash Optimizer. Optimization sets are simple files that store information about which Optimization parameters were selected and which ratios and margin values were stipulated. Every Optimization set can have a name, can be saved, loaded, or deleted.

So, if you are unsure of what optimization parameters will be the best for your particular SWF file, we advise applying one of predefined Optimization sets, created by developers of Flash Optimizer. Flash Optimizer currently offers the following ready Optimization sets:
  • Best compression - Lower quality
  • Good compression - Middle quality
  • Fine compression - Good quality
  • Basic compression - No quality loss
  • Smart compression (for hard ActionScripted SWF)
  • Sprite compression (for SWF's with embedded images)
Second approach lets you customize every single parameter of Flash Optimization. Note, that we recommend joining both approaches for best results. Probably you might find it very helpful to load one of existing Optimization sets at first and then apply some manual customization to find the best compression settings for your SWF. At this point it is very important for you to understand that we greatly encourage experiments and applying absolutely unexpected settings. Bold experiments in Flash Optimizer are the only way to truly master all its functions. So don't hesitate and straight click every "red button" you come across.

Now let's come across all optimization options and find out to which extent they can help you optimize your SWF's. Please, remember that when you move all slidebars to the right - you increase compression ratio.
  • ZLib compression - enables Flash embedded ZLib compression, works only in Flash MX and upper. It means that if you enable it, your movies will require Flash Player 6 to be viewed. To enable ZLib compression check the "Use Flash ZLib compression" checkbox and choose whether you wish to apply a mandatory compression or disable ZLib compression ("Mandatory extraction") disregarding previous state of the movie.
  • Truncate shapes - optimizes vector shapes by removing and replacing shapes groups with optimized ones. Since Flash Optimizer 1.03 there are 2 forms of this algorythm included: calculation by area and calculation by length. The second is much faster, but loses a few bytes to the first one.
  • Truncate fonts - optimizes fonts shapes by removing their invisible parts, can give a substantial reduction in size if used in movies with a lot of text effects. Since Flash Optimizer 1.03 there are 2 forms of this algorythm included: calculation by area and calculation by length. The second is much faster, but loses a few bytes to the first one.
  • Shapes - optimizes Flash shapes and their animations by simplifying their structures. Check the "Heuristic method" checkbox to let the program count the most optimum compression ratio for your specific movie. Usually this parameter provides the highest compression, but can radically influence movie quality, so in case you experience substantial loss in quality, try reducing the ratio or uncheck this method.
  • Morphs - optimizes Flash morphs (shape tweening) and their animations by simplifying their structures. Check the "Heuristic method" checkbox to let the program count the most optimum compression ratio for your specific movie. This parameter also contributes to high compression rates and can impressively influence movie quality, so in case you experience substantial loss in quality, try reducing the ratio or uncheck this method.
  • Fonts - optimizes fonts by transforming and simplifying their curves, margins and layout, quality-sensitive.
  • Scales - places the whole movie in one movie clip and reduces its size by simplifying most procedures and functions, recommended to be used only when Shapes and Morphs work properly for you movie and the positive compression is obvious.
  • Zeros - looks for zero-points in Flash movie and truncates their description in case it is not crucial for the movie. Check the appropriate options (Zero-points in movies, in fonts or Shapes styles) for proper optimization, try to experiment to reach the best effect, recommended if you use at least one more method except for ZLib compression.
  • Pictures - optimizes images embedded in movies, applied compression can vary depending on image quality and format.

To sum it up, Flash Optimizer provides you with extensive control over the optimization process. Thanks to it you will be able to configure appropriate settings for 99% of your movies (even the most complicated), and compress 50% of them more than three times in size!


Flash Optimizer Manual :: Frequently Asked Questions and How to

Frequently Asked Questions and How to

  • Why Flash Optimizer works only with SWF files and not with FLA, sometimes it could be really helpful?

    It is not possible today, since FLA format is a closed Macromedia copyrighted format.

  • Sometimes I notice that after optimization some of objects in my Flash movie can disappear? Is it wrong?

    It is really possible and sometimes it happens with objects that are parts of buttons. Try to decrease compression ratios, and disable Shapes and Morphs optimization.

  • It takes too long to optimize my movie, is there a way to speed it up?

    Flash Optimizer applies extremely complicated mathematical algorithms and depending on number of layers, sprites, animations, etc, it can take some time to optimize the movie. Try setting "Optimization process priority" (Preferences) to "TimeCritical", but expect a visible slow down.

    • Can be optimized...

  • The optimized movie is bigger than the original one. Am I doing anything wrong?

    After optimization if you select not to hide the Optimization window (Preferences) you'll be able to see the file size that can be optimized using Flash Optimizer (Can be optimized - Original) and the percentage optimized (Can be optimized - Optimized). The Original can-be-optimized number corresponds to the size of all selected optimization elements in the SWF file being processed. In this way you can one-by-one select the optimization parameters and decide which parts of the SWF you wish to optimize (only shapes, or only pictures, etc). Usually a movie can become larger due to Pictures optimization, when for instance it has 10 embedded JPEG's each with 40% quality, and optimization setting for Pictures is 70% quality. So, please, decide whether you need Pictures optimization at all, and set parameters with consideration.

  • Does FO change the Flash version of the SWF when it optimizes?

    In case you try to optimize 5th or previous version Flash files and do not use ZLib compression the file will still be supported by the Flash Player it has been designed for, but in case you check ZLib compression in Optimization Parameters the SWF will be playable under Flash Player 6 only.

  • We are intrested in your software, I have tried the demo version and I am not 100% sure of the operation of it with some of my grpahics. Is it a 14 day money back gurantee if I buy and try and it does not output and work the way it should for our company?

    Sure we do. As we are selling both: via ShareIt and via RegNow, these two seller systems are your guarantee concerning our refund policy: https://www.regnow.com/faq.html and http://www.shareit.com. You can always request a refund via any of these systems (depending on which you used to make your purchase). And if you manage to prove the program is not working correct your order will be refunded.

  • When I press the "Optimize" button, the only thing that happens is a splash screen shows up. I realize that the demo version does not allow saving optimized files, but I'm just trying to see a before and after of a file. Am I missing something, because as far as I can tell the only thing the demo version does is load and playback swf's?

    You are not missing anything.

    You actually ARE able to do this. Flash Optimizer optimizes the file you asks it to. You CAN see the oprimization process and the result! There is no need to save the file to see if compression works for you.

    1) First way is to utilize the "SWF info" button. It shows detailed information about what and how was compressed to you, it's very easy to see whether the compression ratio was high enough judging from the trackbars.

    2) Secondly, it's easy to see the size of the original and compressed file above the players.

    Here is how you decide whether the program works for you. All files, that are less in size will load faster, believe me.

    You may find more information of our forums. For instance here: http://www.show-kit.com/forum/viewtopic.php?t=75


Flash Optimizer Manual :: Credits

Credits

Flash Optimizer is developed and currently supported by SoftInfinity [a division of Eltima GmbH, Georg-Wilhelm str. 4, 10711 Berlin, Germany] (info@softinfinity.com).

You can always find the latest version of Flash Optimizer here: www.show-kit.com/flash-optimizer.